List workflows
curl --request GET \
--url https://postonce.to/api/public/v1/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://postonce.to/api/public/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://postonce.to/api/public/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"profile_id": "<string>",
"source_account_id": "<string>",
"target_account_ids": [
"<string>"
],
"settings": {
"content_filters": {
"types": {
"text": true,
"image": true,
"quote": true,
"video": true
},
"hashtags": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
}
},
"destination_publish_settings": {}
},
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"future_content_enabled": true,
"last_checked": "2023-11-07T05:31:56Z",
"last_enabled_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key."
}
}Workflows
List workflows
Lists all workflows owned by the authenticated profile.
GET
https://postonce.to/api/public
/
v1
/
workflows
List workflows
⌘I
